#ifndef IO_H_
#define IO_H_

#include <stdint.h>

//////////////////////////////////// Functions

// Function to initialize the I/O pins
void IoInit(void);

// Function to update the state of LEDs according to the elapsed time
// time: time to be displayed in seconds since midnight
void UpdateDisplay(uint32_t time);

// Function to modify time according to the state of the buttons
// time: time to be displayed in seconds since midnight
// return type: the new time
uint32_t SetTime(uint32_t time);

#endif /* IO_H_ */